/*
  AnalogReadSerial
  Reads an analog input on pin 0, prints the result to the serial monitor.
  Attach the center pin of a potentiometer to pin A0, and the outside pins to +5V and ground.
 
 This example code is in the public domain.
 */
 
#include <SoftwareSerial.h>
 
#define pot1 A4
#define pot2 A3
#define pot3 A2
#define pot4 A1
#define pot5 A0

#define eps 10 // /10

SoftwareSerial mySerial(8, 7); // TX, RX

int pot1Val, pot2Val, pot3Val, pot4Val, pot5Val;
 
// the setup routine runs once when you press reset:
void setup() {
  // initialize serial communication at 9600 bits per second:
  mySerial.begin(9600);
  pinMode(pot1, INPUT);
  pinMode(pot2, INPUT);
  pinMode(pot3, INPUT);
  pinMode(pot4, INPUT);
}

// the loop routine runs over and over again forever:
void loop() {
  // read the input on analog pin 0:
  pot1Val = (eps*analogRead(pot1)+(10-eps)*pot1Val)/10;
  pot2Val = (eps*analogRead(pot2)+(10-eps)*pot2Val)/10;
  pot3Val = (eps*analogRead(pot3)+(10-eps)*pot3Val)/10;
  pot4Val = (eps*analogRead(pot4)+(10-eps)*pot4Val)/10;
  pot5Val = (eps*analogRead(pot5)+(10-eps)*pot5Val)/10;
  // print out the value you read:
  mySerial.print(int(pot1Val));
  mySerial.print(",");
  mySerial.print(int(pot2Val));
  mySerial.print(",");
  mySerial.print(int(pot3Val));
  mySerial.print(",");
  mySerial.print(int(pot4Val));
  mySerial.print(",");
  mySerial.print(int(pot5Val));
  mySerial.println(",");
  delay(5);        // delay in between reads for stability
}
